ImageReaderLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.image
Interface ImageReaderLoader

All Known Implementing Classes:
  GeoTIFFImageReaderLoader, WorldFileImageReaderLoader

    public interface ImageReaderLoader

An ImageReaderLoader is an object used to determine if a particular ImageReader can be used for a particular image file. It can also provide the ImageReader loaded with the contents of that file.

Author:
  dietrick

Method Summary
`ImageReader` | `getImageReader(java.net.URL fileURL)`
`boolean` | `isLoadable(java.lang.String fileName)` A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.
`boolean` | `isLoadable(java.net.URL fileURL)` A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

Method Detail

### getImageReader

    ImageReader getImageReader(java.net.URL fileURL)

  Parameters:
    `fileURL` - a URL for an image file.
  Returns:
    an ImageReader loaded with the image file contents, or null if the image can't be handled.

### isLoadable

    boolean isLoadable(java.lang.String fileName)

  A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

  Parameters:
    `fileName` - path to image file.
  Returns:
    true if yes.

### isLoadable

    boolean isLoadable(java.net.URL fileURL)

  A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

  Parameters:
    `fileURL` - URL of image file.
  Returns:
    true if yes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details